// Code generated by mockery v0.0.0-dev. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// MessageHandler is an autogenerated mock type for the MessageHandler type
type MessageHandler struct {
	mock.Mock
}

// Ack provides a mock function with given fields: multiple
func (_m *MessageHandler) Ack(multiple bool) error {
	ret := _m.Called(multiple)

	var r0 error
	if rf, ok := ret.Get(0).(func(bool) error); ok {
		r0 = rf(multiple)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Body provides a mock function with given fields:
func (_m *MessageHandler) Body() []byte {
	ret := _m.Called()

	var r0 []byte
	if rf, ok := ret.Get(0).(func() []byte); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	return r0
}

// Nack provides a mock function with given fields: multiple, requeue
func (_m *MessageHandler) Nack(multiple bool, requeue bool) error {
	ret := _m.Called(multiple, requeue)

	var r0 error
	if rf, ok := ret.Get(0).(func(bool, bool) error); ok {
		r0 = rf(multiple, requeue)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
